This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 434474 - rapidsvn failed massrebuild attempt for GCC 4.3
rapidsvn failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rapidsvn (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors 436157
  Show dependency treegraph
 
Reported: 2008-02-22 11:28 EST by Jesse Keating
Modified: 2013-01-09 22:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-16 07:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:28:11 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=446600
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 John Poelstra 2008-02-29 16:49:03 EST
if g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"rapidsvn\"
-DVERSION=\"0.9.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1
-DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1
-DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -I. -I.
 -I../../../include  -I/builddir/build/BUILD/rapidsvn-0.9.4/include -Wall
-fexceptions   -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE 
-I/usr/include/apr-1   -I/usr/include/apr-1 -I/usr/include/mysql 
-I/usr/include/subversion-1 -I/usr/lib/wx/include/gtk2-unicode-release-2.8
-I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__  -O2 -g
-pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -Wall -fexceptions
-I/usr/lib/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8
-D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread -MT svncpptest-main.o
-MD -MP -MF ".deps/svncpptest-main.Tpo" -c -o svncpptest-main.o `test -f
'main.cpp' || echo './'`main.cpp; \
	then mv -f ".deps/svncpptest-main.Tpo" ".deps/svncpptest-main.Po"; else rm -f
".deps/svncpptest-main.Tpo"; exit 1; fi
if g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"rapidsvn\"
-DVERSION=\"0.9.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1
-DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1
-DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -I. -I.
 -I../../../include  -I/builddir/build/BUILD/rapidsvn-0.9.4/include -Wall
-fexceptions   -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE 
-I/usr/include/apr-1   -I/usr/include/apr-1 -I/usr/include/mysql 
-I/usr/include/subversion-1 -I/usr/lib/wx/include/gtk2-unicode-release-2.8
-I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__  -O2 -g
-pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -Wall -fexceptions
-I/usr/lib/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8
-D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread -MT
svncpptest-test_url.o -MD -MP -MF ".deps/svncpptest-test_url.Tpo" -c -o
svncpptest-test_url.o `test -f 'test_url.cpp' || echo './'`test_url.cpp; \
	then mv -f ".deps/svncpptest-test_url.Tpo" ".deps/svncpptest-test_url.Po"; else
rm -f ".deps/svncpptest-test_url.Tpo"; exit 1; fi
if g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"rapidsvn\"
-DVERSION=\"0.9.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1
-DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1
-DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -I. -I.
 -I../../../include  -I/builddir/build/BUILD/rapidsvn-0.9.4/include -Wall
-fexceptions   -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE 
-I/usr/include/apr-1   -I/usr/include/apr-1 -I/usr/include/mysql 
-I/usr/include/subversion-1 -I/usr/lib/wx/include/gtk2-unicode-release-2.8
-I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__  -O2 -g
-pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -Wall -fexceptions
-I/usr/lib/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8
-D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread -MT
svncpptest-test_path.o -MD -MP -MF ".deps/svncpptest-test_path.Tpo" -c -o
svncpptest-test_path.o `test -f 'test_path.cpp' || echo './'`test_path.cpp; \
	then mv -f ".deps/svncpptest-test_path.Tpo" ".deps/svncpptest-test_path.Po";
else rm -f ".deps/svncpptest-test_path.Tpo"; exit 1; fi
test_path.cpp: In member function ‘void PathTestCase::testInit()’:
test_path.cpp:44: error: ‘strcmp’ was not declared in this scope
test_path.cpp: In member function ‘void PathTestCase::testSplit()’:
test_path.cpp:75: error: ‘strcmp’ was not declared in this scope
test_path.cpp: In member function ‘void PathTestCase::testAddComponent()’:
test_path.cpp:87: error: ‘strcmp’ was not declared in this scope
test_path.cpp: In member function ‘void PathTestCase::testCopy()’:
test_path.cpp:172: error: ‘strcmp’ was not declared in this scope
test_path.cpp: In member function ‘void PathTestCase::testIsUrl()’:
test_path.cpp:180: error: ‘strcmp’ was not declared in this scope
make: *** [svncpptest-test_path.o] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.50101 (%check)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.50101 (%check)
EXCEPTION: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target ppc --nodeps
//builddir/build/SPECS/rapidsvn.spec'
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 287, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" %
(command,), ret)
Error: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target ppc --nodeps
//builddir/build/SPECS/rapidsvn.spec'
LEAVE do --> EXCEPTION RAISED

Comment 2 Tim Jackson 2008-03-01 11:09:16 EST
Upstream bug filed at:

http://rapidsvn.tigris.org/issues/show_bug.cgi?id=571
Comment 3 Tim Jackson 2008-03-01 11:16:15 EST
I've had a quick look at the source and there is a #include <string> in
test_path.cpp so I'm not sure why strcmp() is undefined.

I don't know enough about the new gcc issues to debug further myself.
Comment 4 Tim Jackson 2008-03-16 07:49:33 EDT
Fixed thanks to Mamoru Tasaka on fedora-devel and fix sent upstream
Built in rawhide

Note You need to log in before you can comment on or make changes to this bug.